#
# spec file for package VFlib3
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           VFlib3
BuildRequires:  fdupes
BuildRequires:  freetype-devel
BuildRequires:  texlive-bin-devel
BuildRequires:  texlive-devel
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
PreReq:         %install_info_prereq
Version:        3.6.14
Release:        219.4
Url:            http://www-masu.ist.osaka-u.ac.jp/~kakugawa/VFlib/
Source0:        http://www-masu.ist.osaka-u.ac.jp/~kakugawa/download/TypeHack/VFlib3-3.6.14.tar.bz2
Source1:        vflibcap-tex
Patch1:         VFlib3-ppc64.patch
Patch3:         VFlib3-info-dir.patch
Patch4:         VFlib3-include.patch
Patch5:         comparison-is-always-false-due-to-limited-range-of-data-type.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Versatile Font Library
License:        LGPL-2.1+
Group:          System/Libraries
Summary(ja):  "Versatile" フォントライブラリ
# %description -l ja
# 
# VFlib は C 言語で書かれたフォントライブラリで、指定したフォン
# トのビットマップを得るための関数群を持っています。VFlib の特徴は、
# さまざまなフォーマットのフォントをフォーマットの違いを気にする
# ことなく統一的に使うことができるところにあります。
# 
# 
# VFlib では、以下のフォントフォーマットがサポートされています。
# 
#     TeX 関連:       PK, GF, VF, TFM
#     Omega TeX 関連: OFM (レベル 0),OVF
#     X Window 関連:  PCF, BDF
#
# 
# 著者：
# ------
# 
#     角川裕次   <h.kakugawa@computer.org>

%description
VFlib is a font library written in C language with several functions to
obtain bitmaps of fonts.  Unique feature of VFlib is that fonts in
different formats are accessed by unified interface.

VFlib supports the following font formats: TeX fonts:	    PK, GF, VF,
TFM Omega TeX fonts: OFM (level 0), OVF X Window fonts:  PCF, BDF Other
fonts:	   TrueType, Type 1, HBF, Syotai Club, JG, ekanji

%package      -n VFlib3-devel
Summary:        Development libraries for VFlib3
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       freetype-devel
Requires:       texlive-bin-devel
Requires:       texlive-devel

%description  -n VFlib3-devel
Development libraries for VFlib3

%prep
%setup -q
%patch1 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -f config.cache
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" 
./configure --prefix=/usr \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            --with-kpathsea \
            --with-kpathsea-libdir=/usr/%{_lib} \
            --with-freetype \
            --with-freetype-includedir=/usr/include/freetype \
            --with-freetype-libdir=/usr/%{_lib} \
            --with-texmf-root=/usr/share/texmf \
            %{_target_cpu}-suse-linux-gnu
make %{?_smp_mflags}
#            --with-kpathsea-includedir=/usr/include \
#            --with-t1lib-includedir=/usr/include \

%install
make prefix=$RPM_BUILD_ROOT/usr \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     libdir=$RPM_BUILD_ROOT%{_libdir} \
     install
install -m 644 $RPM_SOURCE_DIR/vflibcap-tex $RPM_BUILD_ROOT/usr/share/VFlib/%{version}/

%fdupes %{buildroot}

%post
for i in VFlib-36
do
    %install_info --info-dir=%{_infodir} %{_infodir}/${i}.info.gz
done
/sbin/ldconfig

%postun
for i in VFlib-36
do
    %install_info_delete --info-dir=%{_infodir} %{_infodir}/${i}.info.gz
done
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc ANNOUNCE* CHANGES COPYING* DISTRIB*
%doc %{_infodir}/VFlib*info*
%dir /usr/share/VFlib
%dir /usr/share/VFlib/site
%dir /usr/share/VFlib/%{version}
%dir /usr/share/VFlib/%{version}/doc/
%doc /usr/share/VFlib/%{version}/doc/*
%dir /usr/share/VFlib/%{version}/t1lib/
/usr/share/VFlib/%{version}/t1lib/*
%dir /usr/share/VFlib/%{version}/ccv/
/usr/share/VFlib/%{version}/ccv/*
%dir /usr/share/VFlib/%{version}/ascii-jtex/
/usr/share/VFlib/%{version}/ascii-jtex/*
/usr/share/VFlib/%{version}/vflibcap*
/usr/bin/*
%{_libdir}/libVFlib3.so.*

%files -n VFlib3-devel
%defattr(-, root, root)
%{_libdir}/libVFlib3.so
%{_libdir}/libVFlib3.la
/usr/include/*

%changelog
* Fri Sep 13 2013 mvyskocil@suse.com
- don't build with t1lib, no longer in Factory
* Mon Jul  2 2012 i@marguerite.su
- fix openSUSE builds
- fix rpmlint warnings.
* Mon Feb 20 2012 coolo@suse.com
- 12.2 has split freetype-devel
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Thu Apr 26 2007 ro@suse.de
- use texlive for building
* Tue Jan 16 2007 mfabian@suse.de
- update to 3.6.14.
  • Enhanced vflmkcaptex for searching dvips config files.
  • Upgrade to T1Lib 5.1.
- remove VFlib3-3.6.12-missing-headers.patch,
  VFlib3-3.6.12-gcc33.patch (included upstream).
* Thu Jan 26 2006 sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 22 2005 ro@suse.de
- fix implicit declarations
* Tue Jul 12 2005 mfabian@suse.de
- Bugzilla #95088: add patch by Olaf Hering <olh@suse.de> to
  remove a few compiler warnings on PPC.
- add te_kpath to "Requires:" of VFlib3-devel
* Sun May 23 2004 ro@suse.de
- get rid of some compiler warnings
* Mon Jan 12 2004 ro@suse.de
- removed run_ldconfig
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Sun Jun 15 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 14 2003 mfabian@suse.de
- update to 3.6.13
- use %%install_info macro (Bug #23389)
- fix info dir
* Thu Jan 23 2003 meissner@suse.de
- Fixed ppc64 libtool problem, fixed gcc 3.3 compile problem.
* Sat Aug 10 2002 mfabian@suse.de
- update to 3.6.12
  * Inproved vflimkcaptex to read mode.cf to obtain device resolution.
  * Bug fix of vflimkcaptex.
  * Fixed memory leaks as possible.
  * Upgrade to T1Lib 1.3.
- VFlib3-devel should require VFlib3
- add directories to files list which didn't belong to any package
* Wed Apr 10 2002 mfabian@suse.de
- use %%{_libdir}
- remove --with-kpathsea-includedir=/usr/include and
  - -with-t1lib-includedir=/usr/include because gcc 3.1 doesn't
  like it.
* Fri Aug 10 2001 mfabian@suse.de
- update to VFlib3-3.6.10
- remove VFlib3-3.6.10-make-missing-glyph.patch (included upstream)
- remove VFlib3-3.6.10-vflibcaps.patch and add a "vflibcap-tex"
  working for pTeX/pLaTeX as an extra source file instead
- prefer pk fonts to Type1 fonts again, Type1 fonts are rendered
  too slow especially the Wadalab fonts for CJK-LaTeX. pk
  fonts are only slow once, when they have to be created. The
  rendering later is fast. On top of that, there is a spacing
  problem with the Wadalab PostScript fonts, they are spaced
  much too wide (this problem was not present in VFlib3-3.6.9).
* Tue Mar  6 2001 mfabian@suse.de
- add "jis" and "jisg" to '((ascii-jtex-kanji "%%f.jtex")'
  font-mapping these fonts are used for example by the
  new Japanese document classes from the jsclasses package.
* Fri Feb 23 2001 mfabian@suse.de
- changes to vflibcap-tex:
  prefer Type1 fonts to pk fonts, add entry for TrueType fonts,
  add option to make missing pk fonts
- fix the creation of missing pk fonts in fsearchc.
* Fri Feb 23 2001 mfabian@suse.de
- added info files to file list
* Fri Feb 16 2001 mfabian@suse.de
- new package: VFlib3 version 3.6.9
